Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Settlement
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
        • GetBatchesByOrganization
      • Invoice
        • CreateInvoices
        • GetInvoicesByOrganization
        • GetInvoiceById
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
          GET
        • GetSettlements
          GET
        • GetSettlements
          GET
        • GetSettlement on Id
          GET
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Settlement

GetSettlement on Id

GET
/orgs/{orgId}/settlements/{settlementId}
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//settlements/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    },
    "data": {
        "caseNumber": "string",
        "collectionType": "REMINDER",
        "currency": "string",
        "customerReference": "string",
        "exchangeRate": 0,
        "feeDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "interestDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "invoice": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "invoiceNumber": "string",
            "uniqueSourceInvoiceId": "string",
            "collectionCaseNumber": "string",
            "type": "REMINDER",
            "status": "OPEN",
            "closureDate": "2019-08-24T14:15:22.123Z"
        },
        "ledgerRef": "string",
        "organization": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "organizationNumber": "string",
            "name": "string"
        },
        "paymentAmount": 0,
        "principalDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "remittanceDate": "2019-08-24T14:15:22.123Z",
        "settlementDate": "2019-08-24T14:15:22.123Z",
        "settlementNumber": 0,
        "settlementType": "COLLECTOR_PAYMENT",
        "vat": 0
    }
}
Modified at 2026-03-12 12:16:21
Previous
ResumeCase
Next
GetSettlements
Built with